cURL
curl --request GET \
--url 'https://app.teable.ai/api/admin/reward/list?spaceId=SOME_STRING_VALUE&sourceType=SOME_STRING_VALUE&status=SOME_STRING_VALUE&platform=SOME_STRING_VALUE&isValid=SOME_STRING_VALUE&search=SOME_STRING_VALUE&createdTimeFrom=SOME_STRING_VALUE&createdTimeTo=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE&pageSize=SOME_INTEGER_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"items": [
{
"id": "<string>",
"space": {
"id": "<string>",
"name": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"amount": 123,
"consumedAmount": 123,
"remainingAmount": 123,
"rewardTime": "<string>",
"expiredTime": "<string>",
"createdTime": "<string>",
"sourceMetaData": null
}
],
"total": 123
}admin
Get admin reward list
Get paginated and filtered list of reward for admin management. Supports filtering by space, status, platform, verification result, and search.
GET
/
admin
/
reward
/
list
cURL
curl --request GET \
--url 'https://app.teable.ai/api/admin/reward/list?spaceId=SOME_STRING_VALUE&sourceType=SOME_STRING_VALUE&status=SOME_STRING_VALUE&platform=SOME_STRING_VALUE&isValid=SOME_STRING_VALUE&search=SOME_STRING_VALUE&createdTimeFrom=SOME_STRING_VALUE&createdTimeTo=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE&pageSize=SOME_INTEGER_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"items": [
{
"id": "<string>",
"space": {
"id": "<string>",
"name": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"amount": 123,
"consumedAmount": 123,
"remainingAmount": 123,
"rewardTime": "<string>",
"expiredTime": "<string>",
"createdTime": "<string>",
"sourceMetaData": null
}
],
"total": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by space ID
Filter by reward source type
Available options:
appSumoActivation, socialShare, system Filter by reward status
Available options:
pending, approved, rejected Filter by social platform
Available options:
x, linkedin Filter by verification result
Available options:
true, false Search by postUrl, uniqueKey or userId
Filter by created time from (ISO string)
Filter by created time to (ISO string)
Required range:
x >= 1Required range:
1 <= x <= 100Last modified on March 5, 2026
Was this page helpful?
⌘I

